## perspectives-extension 4.2

=== Makefile ===
all:
	rm -rf build/
	mkdir build
	cp -r plugin/* build/
	rm -f Perspectives.xpi
	sh -c "cd build/ && zip -r ../Perspectives.xpi * -x *\.svn*" 
	rm -rf build

=== debian/changelog ===
perspectives-extension (4.2-4) unstable; urgency=low

  * Added Breaks: ${xpi:Breaks} to d/control (Closes: #649028)
  * Updated version-bump patch for compatibility with
    FireFox/Iceweasel 8 (Closes: #645117)
  * Added myself to Uploaders
  * Added DM-Upload-Allowed field

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sat, 19 Nov 2011 20:01:10 +0100

perspectives-extension (4.2-3) unstable; urgency=low

  * Patch to support FireFox/IceWeasel 7 (Closes: #639601).

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 02 Sep 2011 16:06:33 -0700

perspectives-extension (4.2-2) unstable; urgency=low

  * Re-upload to Debian. 

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 19 Aug 2011 09:20:22 -0700

perspectives-extension (4.2-1) unstable; urgency=low

  * New upstream version:
    - Updated notary lists.
    - Support FireFox version 5.0 (Closes: #633988).
  * Patch to also support version 6 (Closes: #634667).
  * Apply patch to fix bug that prevents the "no replies" banner from showing.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 20 Jul 2011 10:48:21 +0200

perspectives-extension (4.1.1~20110418-2) unstable; urgency=low

  * Rename source package to comply with mozilla extensions packaging 
    policies.
  * Set Debian Mozilla Extension Maintainers as Maintainer, and add myself to
    Uploaders.
  * debian/rules:
    - Remove useless comments from debian/rules.
    - Remove dh_auto_install, as it's a no-op.
    - Override dh_clean instead of dh_auto_clean.
    - Simplify removal of .xpi file in clean target.
  * debian/control:
    - Add versioned Build-Dep on mozilla-devscripts >= 0.19~.
    - Add Depends: ${xpi:Depends}.
    - Change Section to web, and Priority to optional.
    - Add Vcs-Browser and Vcs-Git to debian/control.
    - Update Standards-Version to 3.9.2, no changes necessary.
  * Thanks to Benjamin Drung for review and suggested changes.
  * Added debian/watch file.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 01 Jul 2011 18:18:11 -0700

xul-ext-perspectives (4.1.1~20110418-1) unstable; urgency=low

  * Initial release (Closes: #616466)

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 19 May 2011 21:39:54 -0700

=== debian/control ===
Source: perspectives-extension
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Vagrant Cascadian <vagrant@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), mozilla-devscripts (>= 0.19~), zip
Standards-Version: 3.9.2
Homepage: http://www.networknotary.org/
Vcs-Git: git://git.debian.org/pkg-mozext/perspectives-extension.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/perspectives-extension.git;a=summary

Package: xul-ext-perspectives
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Enhances: ${xpi:Enhances}
Provides: ${xpi:Provides}
Breaks: ${xpi:Breaks}
Description: verify HTTPS sites through notary servers
 Perspectives is an approach to help clients securely identify Internet servers
 in order to avoid "man-in-the-middle" attacks, by querying "network notaries"
 located in multiple vantage points across the Internet.
 .
 This extension enables bypassing HTTPS security warnings when appropriate.

## perspectives-extension 4.3.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
 all:
+	# remove invalid entity characters as part of the build
+	# 1. we never have to remember to run this step manually
+	# 2. this ensures the plugin won't crash
+	find ./plugin/chrome/locale/ -name "*.dtd" | xargs perl -w checkdtds.pl
 	rm -rf build/
 	mkdir build
 	cp -r plugin/* build/

=== debian/changelog ===
perspectives-extension (4.3.1-1+deb7u1) wheezy; urgency=low

  * Backport security fix from 4.3.6.
    Incorrect quorum length with low number of notaries and/or low quorum
    percentage. (Closes: #724960)

 -- David Prévot <taffit@debian.org>  Sun, 29 Sep 2013 21:23:06 -0400

perspectives-extension (4.3.1-1) unstable; urgency=low

  * New upstream version.
  * Remove no-replies patch, applied upstream.
  * Remove version-bump patch, as this is no longer needed.
  * debian/control: Remove ${xpi:Breaks}, as this is no longer relevent.
  * debian/control: Bump Standards-Version to 3.9.3, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 28 Jun 2012 15:41:37 -0500

perspectives-extension (4.2-5) unstable; urgency=low

  * Set to maxVersion to any version (Closes: #652981).

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 25 Dec 2011 14:42:16 -0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Vagrant Cascadian <vagrant@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), mozilla-devscripts (>= 0.19~), zip
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.networknotary.org/
 Vcs-Git: git://git.debian.org/pkg-mozext/perspectives-extension.git
 Vcs-Browser: http://git.debian.org/?p=pkg-mozext/perspectives-extension.git;a=summary
@@ -16,7 +16,6 @@
 Recommends: ${xpi:Recommends}
 Enhances: ${xpi:Enhances}
 Provides: ${xpi:Provides}
-Breaks: ${xpi:Breaks}
 Description: verify HTTPS sites through notary servers
  Perspectives is an approach to help clients securely identify Internet servers
  in order to avoid "man-in-the-middle" attacks, by querying "network notaries"

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh --with xul-ext $@ 


override_dh_auto_install:
	install-xpi Perspectives.xpi

override_dh_clean:
	dh_clean
	rm -f Perspectives.xpi

=== debian/watch ===
version=3
ftp://ftp.mozilla.org/pub/mozilla.org/addons/7974/perspectives-([\d\.]+)-.*\.xpi

## perspectives-extension 4.5.2

=== Makefile ===
outfile = Perspectives.xpi
buildfolder = build
unittest_file = test.html
unittest_source = test/$(unittest_file)
unittest_dest_folder = $(buildfolder)/chrome/content/test
unittest_dest = $(unittest_dest_folder)/$(unittest_file)

.PHONY: plugin

plugin: clean loctests setup
	sh -c "cd $(buildfolder)/ && zip -q -r ../$(outfile) * -x *\.svn*"
	rm -rf $(buildfolder)

test: clean setup install-test-files plugin

clean:
	rm -f $(outfile)
	rm -rf $(buildfolder)/

loctests:
	@# ensure localization files are valid.
	@# note: the next few lines use spaces instead of tabs for indentation
	@# just to keep them nicely formatted with the actual commands
    ifeq ($(shell command -v python ; echo $$?),1)
	    @echo -e "  python not installed; skipping localization tests.\n  WARNING: Invalid localization files may prevent Perspectives from working.\n  Install python to enable localization validation."
    else
	    python test/checkloc.py ../plugin/chrome/locale/
    endif

setup:
	rm -rf $(buildfolder)/
	mkdir $(buildfolder)
	cp -r plugin/* $(buildfolder)/

install-test-files: setup
	mkdir $(unittest_dest_folder)
	cp $(unittest_source)  $(unittest_dest)

install-fx: plugin
	firefox $(outfile)&

=== debian/changelog ===
perspectives-extension (4.5.2-1) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * debian/control: Remove myself from Uploaders

  [ Dave Schaefer ]
  * Perspectives - Hook up SparkMD5 library and fix MD5 functionality
    (Closes: #756175)
  * CHANGELOG - Add notes for 4.5.2

  [ David Prévot ]
  * Replace Fabrizio Regalli as uploader
  * Use classic Git layout
  * Bump standards version to 3.9.6
  * Add missing source
  * Update copyright
  * Minify JavaScript at build time

 -- David Prévot <taffit@debian.org>  Sun, 12 Oct 2014 12:12:34 -0400

perspectives-extension (4.5.1+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Jakub Warmuz ]
  * First attempt at a Polish translation.
  * Fix small typos and problems in locales.

  [ Dave Schaefer ]
  * CHANGELOG - Add changes for 4.5.1

  [ David Prévot ]
  * Strip away copyrighted ICC profile

 -- David Prévot <taffit@debian.org>  Sun, 18 May 2014 22:49:50 -0400

perspectives-extension (4.5-1) unstable; urgency=medium

  * Team upload

  [ Dave Schaefer ]
  * CHANGELOG - Add changes for next version
  * install.rdf - Increment version number for 4.5

 -- David Prévot <taffit@debian.org>  Mon, 12 May 2014 12:59:35 -0400

perspectives-extension (4.4.1-1) unstable; urgency=medium

  * Team upload

  [ Dave Schaefer ]
  * checkloc - Add script to validate localization data
  * README - Change requirements to python and lxml
  * Localization - Unlock Dutch and Finnish translations
  * CHANGELOG - Add changes for version 4.4.1
  * Perspectives - Increment version for 4.4.1 release!

  [ David Prévot ]
  * Update packaging to latest upstream version

 -- David Prévot <taffit@debian.org>  Fri, 02 May 2014 22:17:14 -0400

perspectives-extension (4.4-1) unstable; urgency=medium

  * Team upload

  [ Dave Schaefer ]
  * CHANGELOG - Add change for v4.4
  * install.rdf - Increment version for 4.4 release!

 -- David Prévot <taffit@debian.org>  Wed, 26 Feb 2014 17:57:23 -0400

perspectives-extension (4.3.8-1) unstable; urgency=low

  * Team upload
  * New upstream version
  * Bump standards version to 3.9.5

 -- David Prévot <taffit@debian.org>  Sat, 09 Nov 2013 10:08:16 -0400

perspectives-extension (4.3.7-1) unstable; urgency=low

  * Team upload
  * New upstream version

 -- David Prévot <taffit@debian.org>  Fri, 25 Oct 2013 13:45:31 -0400

perspectives-extension (4.3.6-1) unstable; urgency=high

  * Team upload
  * New upstream version (Security Fix: incorrect quorum duration with low
    number of notaries or quorum percentage – GH 87)

 -- David Prévot <taffit@debian.org>  Thu, 26 Sep 2013 17:59:14 -0400

perspectives-extension (4.3.5-1) unstable; urgency=low

  * Team upload
  * New upstream version
  * Convert copyright to format 1.0
  * Remove now useless versionning for mozilla-devscripts
  * Update Homepage
  * Update Vcs to canonical URI
  * Add Breaks for xul-ext
  * Add gbp-buildpackage config file

 -- David Prévot <taffit@debian.org>  Sun, 15 Sep 2013 18:43:30 -0400

perspectives-extension (4.3.4-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Bump Standards-Version to 3.9.4, no changes necessary.
  * debian/control: Remove obsolete DM-Upload-Allowed field. 

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 06 Jul 2013 17:17:59 -0700

=== debian/control ===
Source: perspectives-extension
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               mozilla-devscripts,
               node-uglify,
               python-lxml,
               zip
Standards-Version: 3.9.6
Homepage: http://perspectives-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-mozext/perspectives-extension.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/perspectives-extension.git

Package: xul-ext-perspectives
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Enhances: ${xpi:Enhances}
Provides: ${xpi:Provides}
Description: verify HTTPS sites through notary servers
 Perspectives is an approach to help clients securely identify Internet servers
 in order to avoid "man-in-the-middle" attacks, by querying "network notaries"
 located in multiple vantage points across the Internet.
 .
 This extension enables bypassing HTTPS security warnings when appropriate.

## perspectives-extension 4.6.4

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
     ifeq ($(shell command -v python ; echo $$?),1)
 	    @echo -e "  python not installed; skipping localization tests.\n  WARNING: Invalid localization files may prevent Perspectives from working.\n  Install python to enable localization validation."
     else
-	    python test/checkloc.py ../plugin/chrome/locale/
+	    python test/extlib/checkloc.py plugin
     endif
 
 setup:

=== debian/changelog ===
perspectives-extension (4.6.4-1) unstable; urgency=medium

  [ Alexey Vesnin ]
  * Fixing extension. preference variables prefix and enshortening init
    code in initialize.xul

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Thu, 23 Jun 2016 13:24:35 -0400

perspectives-extension (4.6.3-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.7
  * Rebuild with recent mozilla-devscripts to be ready for Firefox

 -- David Prévot <taffit@debian.org>  Mon, 28 Mar 2016 10:35:40 -0400

perspectives-extension (4.6.3-1) unstable; urgency=medium

  [ Dave Schaefer ]
  * checkloc - Update library to newest version
  * install.rdf - Increase version for 4.6.3

  [ David Prévot ]
  * Revert "Fix for behaviour change in lxml 3.5.0"

 -- David Prévot <taffit@debian.org>  Sat, 02 Jan 2016 22:32:59 -0400

perspectives-extension (4.6.2-2) unstable; urgency=medium

  * Fix for behaviour change in lxml 3.5.0 (Closes: #807673)

 -- David Prévot <taffit@debian.org>  Thu, 24 Dec 2015 09:31:57 -0400

perspectives-extension (4.6.2-1) unstable; urgency=medium

  [ Dave Schaefer ]
  * install.rdf - Increase version for 4.6.2

  [ David Prévot ]
  * Update copyright

 -- David Prévot <taffit@debian.org>  Sat, 20 Jun 2015 10:40:03 -0400

perspectives-extension (4.6.1-1) unstable; urgency=medium

  [ Dave Schaefer ]
  * install.rdf - Increase to version 4.6.1 for release!

  [ David Prévot ]
  * Update copyright

 -- David Prévot <taffit@debian.org>  Fri, 05 Jun 2015 22:48:44 -0400

perspectives-extension (4.6-2) unstable; urgency=medium

  * Upload to unstable since Jessie has been released

 -- David Prévot <taffit@debian.org>  Sun, 03 May 2015 16:05:39 -0400

perspectives-extension (4.6-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ Dave Schaefer ]
  * install.rdf - Update version to 4.6

  [ David Prévot ]
  * Renamed README
  * Drop useless build-dependency

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2014 21:24:01 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50~),
                mozilla-devscripts,
                node-uglify,
-               python-lxml,
-               zip
-Standards-Version: 3.9.6
+               python-lxml
+Standards-Version: 3.9.8
 Homepage: http://perspectives-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-mozext/perspectives-extension.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/perspectives-extension.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with xul-ext $@ 

override_dh_auto_install:
	install-xpi Perspectives.xpi
	rm -r 	$(CURDIR)/debian/xul-ext-perspectives/usr/share/xul-ext/perspectives/chrome/content/credits \
		$(CURDIR)/debian/xul-ext-perspectives/usr/share/xul-ext/perspectives/chrome/content/test \
		$(CURDIR)/debian/xul-ext-perspectives/usr/share/xul-ext/perspectives/chrome/content/extlib/spark-md5.min.js
	uglifyjs -o \
		$(CURDIR)/debian/xul-ext-perspectives/usr/share/xul-ext/perspectives/chrome/content/extlib/spark-md5.min.js \
		$(CURDIR)/debian/spark-md5.js

get-orig-source:
	uscan --verbose --rename --force

=== debian/watch ===
version=3
https://github.com/danwent/Perspectives/releases .*/v?([\d\.]*-?\w*)\.tar\.gz
